%define name gogglesmm
%define version 1.1.6
%define release %mkrel 1

Summary:	Goggles Music Manager
Summary(de):	Googles Musik Manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPLv3
URL:		http://code.google.com/p/gogglesmm/
Source0:	http://gogglesmm.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  taglib-devel
BuildRequires:  %{_lib}dbus-glib-1_2-devel
BuildRequires:  sqlite3-devel
BuildRequires:	libcurl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libexpat1-devel
BuildRequires:	libxine1.2-devel
BuildRequires:	libfox-devel

Obsoletes: %name < %version

%description
Goggles Music Manager is a music collection manager
and player that automatically categorizes your music
files based on genre, artist, album, and song.
It supports gapless playback and features easy tag editing.

#german
%description -l de
Goggles Music Manager ist ein Musik-Verwaltungs Manager
und Spieler, der automatisch Ihre Musik-Dateien auf Genre,
Interpret, Album, und Lieder katalogisiert. Es unterstützt
die lückenlose Wiedergabe und einfache Tag-Editor Funktionen.

%prep
%setup -q 

%build
%cmake_kf5
%make 

%install
rm -rf $RPM_BUILD_ROOT
%make_install -C build

desktop-file-install --vendor="" \
   --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#icon fix
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp extra/gogglesmm*.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS COPYING
%_bindir/gogglesmm
%_datadir/applications/gogglesmm.desktop
%_datadir/icons/hicolor/*/apps/gogglesmm.png
%_datadir/icons/hicolor/scalable/apps/gogglesmm.svg
%_datadir/pixmaps/gogglesmm*.png
%_datadir/man/man1/gogglesmm.1.bz2
%{_libdir}/gogglesmm/libgap_alsa.so
%{_libdir}/gogglesmm/libgap_pulse.so
%{_libdir}/gogglesmm/libgap_wav.so
%{_datadir}/appdata/gogglesmm.appdata.xml
%{_datadir}/gogglesmm/import_banshee_stats.py
%{_datadir}/gogglesmm/import_gogglesmm12.py
%{_datadir}/gogglesmm/import_gogglesmm12_stats.py
   
%changelog
* Fri Jun 23 2017 adrianomorselli <adrianomorselli> 1.1.6-1uplos2017
- update for new libxine1.2
